local t = select(2,...)
local nospam = t.nospam
local lcl = {}
t.locale = lcl
local lc = GetLocale()

t.getLocalized = function(key)
	if not lcl[key] then
		nospam(-1,("No localization for key '%s' is available for your locale (%s). Related bosses will likely not be detected properly."):format(key,lc))
		return ""
	end
	return lcl[key]
end

--[===[@debug@
StaticPopupDialogs["RUNTIME_DEBUG_UNLOCALIZED"] = {
	text="Thank you for running RunTime from the SVN repository!\n\n\However, versions checked out directly do not have any localization data packaged into them - as you are running a non-english (%s) client, this means some bosses may not be detected properly!\nSorry for the inconvenience.",
	button1 = "OK",
	timeout = 0,
	whileDead = true,
	hideOnEscape = true,
}
--@end-debug@]===]